package com.yanzhu.jh.trouble.mapper;

import java.util.List;
import com.yanzhu.jh.trouble.domain.SmzSspAuditinfo;
import com.yanzhu.jh.trouble.domain.SmzSspFileinfo;

/**
 * 随手拍流程信息Mapper接口
 * 
 * @author JiangYuQi
 * @date 2023-08-07
 */
public interface SmzSspAuditinfoMapper 
{
    /**
     * 查询随手拍流程信息
     * 
     * @param id 随手拍流程信息主键
     * @return 随手拍流程信息
     */
    public SmzSspAuditinfo selectSmzSspAuditinfoById(Long id);

    /**
     * 查询随手拍流程信息
     *
     * @param mainId 随手拍流程信息主键
     * @return 随手拍流程信息
     */
    public SmzSspAuditinfo selectLastSmzSspAuditinfoByMainId(Long mainId);


    /**
     * 查询随手拍流程信息列表
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 随手拍流程信息集合
     */
    public List<SmzSspAuditinfo> selectSmzSspAuditinfoList(SmzSspAuditinfo smzSspAuditinfo);

    /**
     * 新增随手拍流程信息
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 结果
     */
    public int insertSmzSspAuditinfo(SmzSspAuditinfo smzSspAuditinfo);

    /**
     * 修改随手拍流程信息
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 结果
     */
    public int updateSmzSspAuditinfo(SmzSspAuditinfo smzSspAuditinfo);

    /**
     * 删除随手拍流程信息
     * 
     * @param id 随手拍流程信息主键
     * @return 结果
     */
    public int deleteSmzSspAuditinfoById(Long id);

    /**
     * 批量删除随手拍流程信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmzSspAuditinfoByIds(Long[] ids);

    /**
     * 批量删除随手拍文件信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmzSspFileinfoByAuditIds(Long[] ids);

    /**
     * 批量新增随手拍文件信息
     *
     * @param smzSspFileinfoList 随手拍文件信息列表
     * @return 结果
     */
    public int batchSmzSspFileinfo(List<SmzSspFileinfo> smzSspFileinfoList);


    /**
     * 通过随手拍流程信息主键删除随手拍文件信息信息
     *
     * @param id 随手拍流程信息ID
     * @return 结果
     */
    public int deleteSmzSspFileinfoByAuditId(Long id);
}
